## pytile 2024.12.0

=== .github/workflows/requirements.txt ===
poetry==1.8.5

=== debian/changelog ===
pytile (2024.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 31 Dec 2024 14:27:46 +0000

pytile (2023.12.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Nov 2024 22:14:16 +0000

pytile (2023.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087152)

 -- Edward Betts <edward@4angle.com>  Sat, 09 Nov 2024 08:41:30 +0000

=== debian/control ===
Source: pytile
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-yarl <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bachya/pytile
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pytile
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pytile.git

Package: python3-pytile
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for retrieving data from Tile Bluetooth trackers
 This library allows interaction with Tile Bluetooth trackers by communicating
 with the unofficial Tile API. It enables users to access information such as
 the last known location of their Tiles. Leveraging cloud polling, the library
 fetches details like latitude, longitude, and the status of each tracker.
 Additionally, it offers functionalities to manage these devices, including
 updating their information and retrieving historical data for premium users.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytile
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pytile.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pytile-$1\.tar\.gz/ \
  https://github.com/bachya/pytile/tags .*/v?(\d\S+)\.tar\.gz
